Package ru.bitel.bgbilling.modules.softline.common.bean

# Class SoftLineSubscription

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdContractId
ru.bitel.bgbilling.modules.softline.common.bean.SoftLineSubscription

All Implemented Interfaces:
  `Serializable`, `ContractIdable`, `Idable`

public class SoftLineSubscription extends IdContractId
Модель подписки на продукт SoftLine

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SoftLineSubscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDownloadData()`
  `String`
  `getEmail()`
  `Date`
  `getEndDate()`
  `Date`
  `getLastModifyDate()`
  `int`
  `getPeriodCount()`
  `int`
  `getProductId()`
  `Date`
  `getStartDate()`
  `int`
  `getStatus()`
  `SoftLineSubscriptionSuspendReason`
  `getSuspendReason()`
  `SoftLineSubscription`
  `setContractId(int contractId)`
  `void`
  `setDownloadData(String downloadData)`
  `void`
  `setEmail(String email)`
  `void`
  `setEndDate(Date endDate)`
  `void`
  `setLastModifyDate(Date lastModifyDate)`
  `void`
  `setPeriodCount(int periodCount)`
  `void`
  `setProductId(int productId)`
  `void`
  `setStartDate(Date startDate)`
  `void`
  `setStatus(int status)`
  `void`
  `setSuspendReason(SoftLineSubscriptionSuspendReason suspendReason)`

  ### Methods inherited from class ru.bitel.common.model.IdContractId

  `getContractId`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SoftLineSubscription

    public SoftLineSubscription()

- ## Method Details

  - ### getPeriodCount

    public int getPeriodCount()

  - ### setPeriodCount

    public void setPeriodCount(int periodCount)

  - ### setContractId

    public SoftLineSubscription setContractId(int contractId)
    Overrides:
      `setContractId` in class `IdContractId`

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId(int productId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getSuspendReason

    public SoftLineSubscriptionSuspendReason getSuspendReason()

  - ### setSuspendReason

    public void setSuspendReason(SoftLineSubscriptionSuspendReason suspendReason)

  - ### getStartDate

    public Date getStartDate()

  - ### setStartDate

    public void setStartDate(Date startDate)

  - ### getLastModifyDate

    public Date getLastModifyDate()

  - ### setLastModifyDate

    public void setLastModifyDate(Date lastModifyDate)

  - ### getEndDate

    public Date getEndDate()

  - ### setEndDate

    public void setEndDate(Date endDate)

  - ### getDownloadData

    public String getDownloadData()

  - ### setDownloadData

    public void setDownloadData(String downloadData)

  - ### getEmail

    public String getEmail()

  - ### setEmail

    public void setEmail(String email)